LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XImplicitIDContainer Interface Referencepublished

makes it possible to insert and remove elements in/from a container using an implicit (unique) ID. More...

`import"XImplicitIDContainer.idl";`

Inheritance diagram for XImplicitIDContainer:

## Public Member Functions
string | addWithImplicitID ([in] any aElement)
| adds a new object to the container and generates an implicit (unique) ID for this object. More...
void | removeByImplicitID ([in] string ID) raises ( com::sun::star::container::NoSuchElementException )
| removes an object from the container which is specified by an implicit (unique) identifier. More...
Public Member Functions inherited from XImplicitIDReplace
void | replaceByUniqueID ([in] string ID, [in] any aNewElement) raises ( com::sun::star::container::NoSuchElementException )
| replaces the content which is specified by its implicit (unique) ID with a new content. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to insert and remove elements in/from a container using an implicit (unique) ID.

## Member Function Documentation

## ◆ addWithImplicitID()

string addWithImplicitID | ( | [in] any | aElement | ) |

adds a new object to the container and generates an implicit (unique) ID for this object.

Returns
  the implicit ID for the new object.

## ◆ removeByImplicitID()

void removeByImplicitID | ( | [in] string | ID | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes an object from the container which is specified by an implicit (unique) identifier.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XImplicitIDContainer.idl